Bug 58464 - Add a flag to guard Page Visibility API changes.
Summary: Add a flag to guard Page Visibility API changes.
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: 528+ (Nightly build)
Hardware: All All
: P2 Normal
Assignee: Nobody
URL: http://lists.w3.org/Archives/Public/p...
Keywords:
Depends on:
Blocks: 54181
  Show dependency treegraph
 
Reported: 2011-04-13 11:45 PDT by Shishir Agrawal
Modified: 2011-04-15 19:26 PDT (History)
2 users (show)

See Also:


Attachments
Patch (22.54 KB, patch)
2011-04-13 11:55 PDT, Shishir Agrawal
tonyg: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Patch (22.42 KB, patch)
2011-04-14 14:15 PDT, Shishir Agrawal
tonyg: review+
commit-queue: commit-queue-
Details | Formatted Diff | Diff
Patch (22.48 KB, patch)
2011-04-15 12:59 PDT, Shishir Agrawal
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Shishir Agrawal 2011-04-13 11:45:54 PDT
Add a flag to guard webkit changes for Page Visibility API.
Comment 1 Shishir Agrawal 2011-04-13 11:55:07 PDT
Created attachment 89422 [details]
Patch
Comment 2 Tony Gentilcore 2011-04-13 12:20:30 PDT
Comment on attachment 89422 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=89422&action=review

Everything else looks good. Thanks for breaking this out.

> WebKitLibraries/win/tools/vsprops/FeatureDefines.vsprops:73
> +    />

Stray diff.
Comment 3 Shishir Agrawal 2011-04-13 12:21:57 PDT
Comment on attachment 89422 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=89422&action=review

>> WebKitLibraries/win/tools/vsprops/FeatureDefines.vsprops:73
>> +    />
> 
> Stray diff.

Its not actually a stray diff. The above lines were indented inconsistently, so I just corrected the indentation. Should I remove this?
Comment 4 Tony Gentilcore 2011-04-13 12:28:32 PDT
(In reply to comment #3)
> (From update of attachment 89422 [details])
> View in context: https://bugs.webkit.org/attachment.cgi?id=89422&action=review
> 
> >> WebKitLibraries/win/tools/vsprops/FeatureDefines.vsprops:73
> >> +    />
> > 
> > Stray diff.
> 
> Its not actually a stray diff. The above lines were indented inconsistently, so I just corrected the indentation. Should I remove this?

Ah, I see now. I'll r+ when the bubbles go green.
Comment 5 WebKit Commit Bot 2011-04-13 20:57:53 PDT
The commit-queue encountered the following flaky tests while processing attachment 89422 [details]:

http/tests/inspector/console-websocket-error.html bug 57392 (authors: pfeldman@chromium.org and yutak@chromium.org)
The commit-queue is continuing to process your patch.
Comment 6 WebKit Commit Bot 2011-04-13 21:01:14 PDT
Comment on attachment 89422 [details]
Patch

Rejecting attachment 89422 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=eseidel-cq-sf', 'la..." exit_code: 2

Last 500 characters of output:
er     -> origin/master
Partial-rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc ...
Currently at 83807 = 8c419025988fe440ba4f1fe1055f3e8d39eff570
r83808 = bb8da9108b8c5ec5101e5385e155b1beb10fcb2f
r83809 = 6d36611b28868af722abe2fe62ac0d3b2404792e
Done rebuilding .git/svn/refs/remotes/origin/master/.rev_map.268f45cc-cd09-0410-ab3c-d52691b4dbfc
First, rewinding head to replay your work on top of it...
Fast-forwarded master to refs/remotes/origin/master.

Full output: http://queues.webkit.org/results/8400555
Comment 7 Shishir Agrawal 2011-04-14 14:15:55 PDT
Created attachment 89643 [details]
Patch

Addressing a Stray OOPs in one of the changelog files.
Comment 8 WebKit Commit Bot 2011-04-15 00:56:10 PDT
Comment on attachment 89643 [details]
Patch

Rejecting attachment 89643 [details] from commit-queue.

Failed to run "['./Tools/Scripts/webkit-patch', '--status-host=queues.webkit.org', '--bot-id=cr-jail-4', 'apply-..." exit_code: 2

Last 500 characters of output:
 FAILED at 131.
1 out of 2 hunks FAILED -- saving rejects to file Source/WebKit2/Configurations/FeatureDefines.xcconfig.rej
patching file Tools/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Tools/Scripts/build-webkit
patching file WebKitLibraries/ChangeLog
patching file WebKitLibraries/win/tools/vsprops/FeatureDefines.vsprops
patching file configure.ac

Failed to run "[u'/mnt/git/webkit-commit-queue/Tools/Scripts/svn-apply', u'--reviewer', u'Tony Gentilcore', u'--..." exit_code: 1

Full output: http://queues.webkit.org/results/8432092
Comment 9 Shishir Agrawal 2011-04-15 12:59:49 PDT
Created attachment 89836 [details]
Patch

Resolving FeaturesConfig clashes.
Comment 10 WebKit Commit Bot 2011-04-15 19:26:50 PDT
Comment on attachment 89836 [details]
Patch

Clearing flags on attachment: 89836

Committed r84072: <http://trac.webkit.org/changeset/84072>
Comment 11 WebKit Commit Bot 2011-04-15 19:26:55 PDT
All reviewed patches have been landed.  Closing bug.